Package: org.codehaus.groovy.grails.resolve.maven.aether.support

## [Groovy] Class GrailsHomeWorkspaceReader

- org.codehaus.groovy.grails.resolve.maven.aether.support.GrailsHomeWorkspaceReader

- All Implemented Interfaces and Traits:
    org.eclipse.aether.repository.WorkspaceReader

      @groovy.transform.CompileStatic
      class GrailsHomeWorkspaceReader

  A org.eclipse.aether.repository.WorkspaceReader that resolves dependencies from GRAILS_HOME

  Authors:
    Graeme Rocher
  Since:
    2.3.10

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `grailsHome`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsHomeWorkspaceReader ()`
    `GrailsHomeWorkspaceReader (java.lang.String grailsHome)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.io.File` | `findArtifact(org.eclipse.aether.artifact.Artifact artifact)`
    `java.util.List<java.lang.String>` | `findVersions(org.eclipse.aether.artifact.Artifact artifact)`
    `org.eclipse.aether.repository.WorkspaceRepository` | `getRepository()`
    `protected java.io.File` | `resolveFile(org.eclipse.aether.artifact.Artifact artifact, java.io.File parentDir, java.lang.String fileType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String grailsHome

  - ### Constructor Detail

    - #### GrailsHomeWorkspaceReader()

    - #### GrailsHomeWorkspaceReader(java.lang.String grailsHome)

  - ### Method Detail

    - #### @java.lang.Override java.io.File findArtifact(org.eclipse.aether.artifact.Artifact artifact)

    - #### @java.lang.Override java.util.List<java.lang.String> findVersions(org.eclipse.aether.artifact.Artifact artifact)

    - #### @java.lang.Override org.eclipse.aether.repository.WorkspaceRepository getRepository()

    - #### protected java.io.File resolveFile(org.eclipse.aether.artifact.Artifact artifact, java.io.File parentDir, java.lang.String fileType)